Bug 115889 - (dmraid) Promise 20378 RAID volume not recognized
(dmraid) Promise 20378 RAID volume not recognized
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
5
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 16:43 EST by Hal Black
Modified: 2007-11-30 17:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 12:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hal Black 2004-02-16 16:43:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6b)
Gecko/20031211

Description of problem:
When booting with the fedora core 2 test 1 CD, my RAID-0 on my Promise
20378 SATA controller is not recognized.  The motherboard is a ASUS
P4C800-E.  I had prevously set up the RAID-0 with fasttrak

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert Fedora Core 2 test 1 CD and boot

Actual Results:  Drive not recognized

Expected Results:  Drive recognized

Additional info:
Comment 1 Jeremy Katz 2004-02-17 00:13:42 EST
There's no support in the kernel for this in 2.6
Comment 2 Chad Schmidt 2004-06-07 13:03:12 EDT
I have an MSI K8T NEO motherboard with promise raid controller as 
well, ATHLON 64 3000+, and am installing FEDORA CORE 2 production 
version. A similar problem occurs. On initial install, the promise 
chip is recognized but install cannot see the 2 hard drives in a 
hardware RAID 0 as a single drive. Even after I initialize the 
drives, and the install seems to complete, the machine freezes on 
GRUB at boot.
Comment 3 Kevin 2004-07-26 11:40:26 EDT
Ditto my ASUS K8V Deluxe, Athlon 64 3200+. Using 2-disk Parallel ATA 
Raid 0 on the Promise 20378 controller. Trying to make WinXP/FC dual 
boot system. WinXP sees raid array and boots fine. Trying to install 
FC2 64-bit, controller is recognized as an SATA device, but defined 
parallel ATA raid 0 array is not seen at all.
Comment 4 Darin May 2004-11-26 23:51:19 EST
Still no support on FC3 final.
Comment 5 Darin May 2004-11-27 03:51:06 EST
My guess is that the problem lies with anaconda as I'm getting
Interrupt #11 errors (BIOS equipment enumeration).

Anaconda's quiering the BIOS, it's responding, but doesn't know whom
to hand off the interrupt to the proper driver.
Comment 6 Jeff Garzik 2004-11-27 12:43:45 EST
See http://linux.yyz.us/sata/faq-sata-raid.html

You may use 'dmraid' to access your Promise RAID, but that is not
supported at install time by FC2/FC3.

Until the installer supports dmraid, you will need to use the 'md'
software RAID that the installer -does- support.
Comment 7 Darin May 2004-11-27 14:51:58 EST
Is there any hope of making a kernel module so that when the installer
boots, a "linux dd" command could then be used to prompt for a driver
diskette so that the install could see the RAID volume?
Comment 9 Darin May 2004-12-18 13:55:40 EST
The stock ata driver is choking on the extra
interrupt #11s generated -- even as FC3 starts the xserver, the
interrupt errors keep on coming, even when starting FC3 with "linux dd
acpi=off" and loading the vendor-supplied driver.
Comment 10 Jim Peterson 2005-02-10 08:54:17 EST
Jeff Garzik's libata patch at 
http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/2.6.10-bk9-libata-dev1.patch.gz 
solves this problem, as per my troubles noted on 
http://www.linuxquestions.org/questions/showthread.php?s=&threadid=272365&perpage=15&pagenumber=1 
But it is verry difficult to create a boot disk that works (for me it was, anyhow).  
Can this patch be included in a separate boot.iso somewhere, for the flood of 
people who are going to hit this before FC4 comes out?  I could make the boot.iso 
(now that I've climbed the learning curve), but I have nowhere to upload it. 
Comment 11 David Weisgerber 2005-02-16 17:07:12 EST
It would be great if they would merge the dmraid features into the
kernel (which is the place where they have to go). I have waited for
years to be able to boot linux from my PDC30378-'Raid'
Comment 12 Jeff Garzik 2005-02-16 17:31:47 EST
dmraid (userspace) uses device mapper (kernel), which is the proper
separation of components.  Nothing else needs to be in the kernel.

The actual RAID1 driver, for example, is dm-mirror (kernel), but it
requires the userspace component to set it up.
Comment 14 Jeff Garzik 2005-02-22 16:10:06 EST
This bug in no way relates to any Promise hardware/driver issues.

Please do not add sata_promise-related hardware/driver bugs to this issue.
Comment 15 Darin May 2005-02-23 00:36:01 EST
The rationale is that the faulty libata code was interfering with the Promise
module's ability to communicate with the hardware.
Comment 16 Matthew Miller 2006-07-10 19:39:19 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 17 Darin May 2006-07-11 01:03:22 EDT
The bug still exists in Core 5.
Comment 18 Heinz Mauelshagen 2006-07-11 03:35:25 EDT
We've got anaconda support for dmraid in FC5 for a while now.
Is the previous comment based on a test result ?
If so, please attach the output metadata files created with 'dmraid -rD',
tar'ed/bzip2*ed in bz2">pdc-lohpath@earthlink.net-raid0.tar.bz2 for reference.
Comment 19 Matthew Miller 2006-07-11 11:45:57 EDT
Moving to FC5 as per comment #17.
Comment 21 Heinz Mauelshagen 2007-04-17 12:33:45 EDT
No followup since a while.
Closing.

Note You need to log in before you can comment on or make changes to this bug.